commit 19e473aa6b1fbd01bb8c7206c06aacf5e789d758
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 12 09:58:53 2022 -0700

    xev 1.2.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 26b84c02c547bb233dc7a273cb3745eef2aadadd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 12:56:12 2022 -0700

    man page: remove out-of-date reference to X(7)
    
    The X(7) man page doesn't list any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eedd0fed999e515618816ca831b8de3b3011c993
Author: Goblin <xorg-nospam@uukgoblin.net>
Date:   Fri Feb 18 22:20:07 2022 +0000

    xev: fix KeymapNotify event printing
    
    When xev prints the KeymapNotify event (after the user brings the xev window
    into focus), it incorrectly displays unsigned char values >= 128. For
    instance, 128 is printed as 42949667168.
    
    This can be seen for instance by holding the '6' key (which has the
    keycode 15) and then bringing the xev window into focus. Observe the
    KeymapNotify event, the second number after "keys: " will be 42949667168.
    If you instead hold the '5' key (which has the keycode 14), you'll see
    64 there, as expected.
    
    No-one seems to have noticed since at least the last millenium ;-)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ad23b1e9f4463017f76534300925aa08c055df48
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 11:46:26 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 126ef9076e51beb1897321025220dd1828568caf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 11:46:13 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b798a62cb701050381ed8b05c2fb7204357a7241
Author: Matt Turner <mattst88@gmail.com>
Date:   Fri Jul 17 15:07:14 2020 -0700

    xev 1.2.4
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c51ca8f59ce5fff6b8c0705bd296460d8116cff2
Author: Piotr Henryk Dabrowski <phd@phd.re>
Date:   Mon Apr 6 05:11:28 2020 +0200

    Add option "-1" to display only a single line per event

commit 699ec4772f024e70dbb5474921acd4977ecfce4c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 14:21:20 2019 -0800

    xev 1.2.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 25f92ab3238e9aec22214186c64cc968fb8af416
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:02:34 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2aa71349b3c3e206c0936c59322079adfab0d450
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:41:17 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6cb245a4cadff580e0e5b0739f052ca74d9097b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 6 12:49:26 2018 -0700

    Replace sprintf calls with snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe3bbae5c75b5bb9bc34f9b3ae93b1bc66708691
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 6 12:44:25 2018 -0700

    Adopt X.Org standard code style
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 366b03aee6dc4cb19aa82f6cd2dd067646873777
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 6 12:15:25 2018 -0700

    Collapse usage message into a single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e08d28020c38a9fc5167c785334d426fe0f157d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 6 12:09:21 2018 -0700

    Add -version to usage output
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 25bb70e02407822ae5b03e74571275afcd037f98
Author: Eitan Adler <lists@eitanadler.com>
Date:   Sat Jul 28 08:28:36 2018 +0000

    xev: fix 'mode' in default case (version 2)
    
    Signed-off-by: Eitan Adler <lists@eitanadler.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d1f08f62b455f5921ee4b7c86bc5b8e92d2871ed
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 201b7fbfc345f38c90c38680dc98328605bbec99
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 45016c5c901fcc0f898403f88b68939283d25b96
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit a92082cb05bb3d6d3f0bebb951133774ca2dd412
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:11:22 2015 -0700

    xev 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 740bf3bdfc20f3fabf7205e04f6fcf224c6a54ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:29:55 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3239b4ca117c815e7ea7e99697649b98a50193a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:29:55 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3083d6f51221ce6ab56eb14b71bbda08c320efc1
Author: Egbert Eich <eich@freedesktop.org>
Date:   Wed Feb 12 19:27:26 2014 +0100

    Add event filter for button events
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b2cde1725132e0f0f3cdd2019745d130235282c3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 27 18:18:38 2013 -0800

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5eb60b2f71fb673bb6bb34a956c2f3114a59e152
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 27 18:15:37 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a687c0900872326b864baeb4d6b056153a0cc8c1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jan 29 15:05:51 2013 -0800

    man: Add -event to the command synopsis
    
    Commit d33b2c81bd931d581e5ce4b36f99ee60a76e740d added an option, -event, to
    allow the user to select which events to display.  I remembered to add it to the
    man page's OPTIONS, section, but not to the command summary in the SYNOPSIS
    section.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ea6c49b7635e21ab97c5ee41963d5024466e0106
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jan 29 13:42:40 2013 -0800

    xev 1.2.1
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit f02bf10367271b6713cdf231771e5320474fcc15
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 14 23:28:22 2013 -0800

    Use strncasecmp instead of a tolower loop & strncmp
    
    v2: Since strncasecmp is in Unix98, assume it is always available,
    and drop fallback code for systems without it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6731b622587e83572452c96423195528579fd98d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 14 23:21:43 2013 -0800

    Fix clang warnings about converting size_t to int and back again
    
    xev.c:909:15: warning: implicit conversion loses integer precision: 'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
        int len = strlen (s);
            ~~~   ^~~~~~~~~~
    xev.c:917:34: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
        if (strncmp (s, "notuseful", len) == 0) return (NotUseful);
            ~~~~~~~                  ^~~
    xev.c:918:35: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
        if (strncmp (s, "whenmapped", len) == 0) return (WhenMapped);
            ~~~~~~~                   ^~~
    xev.c:919:31: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
        if (strncmp (s, "always", len) == 0) return (Always);
            ~~~~~~~               ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d33b2c81bd931d581e5ce4b36f99ee60a76e740d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 25 15:36:23 2012 -0700

    Add a -event parameter to control the event mask
    
    It's annoying to have to sift through a lot of unrelated events if all you care
    about is one specific class of events (e.g. RandR events).  Add a -event
    parameter that can be used to tune which events to select.  When not specified,
    all events are selected.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <aritger@nvidia.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 96b24e2c353bb4c9b7a0e2fff4f13d015fdb25b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 21 20:51:23 2012 -0800

    xev 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 42299b08106445e938e47392da5b3c26f650413a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 15 15:30:59 2012 -0800

    Rename "mask" variable to "rr_mask" in randr setup code.
    
    Fixes gcc warning:
    xev.c: In function `main':
    xev.c:1129: warning: declaration of 'mask' shadows a previous local
    xev.c:923: warning: shadowed declaration is here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5006597a1e440bde27b652bb1754f8ad8e4f39f8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:43:40 2011 -0700

    Remove checks for NULL before XFree
    
    Replaced if (.*) \(XFree (.*);\)  with  \1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2770432c982373624a34b61f8abae100ece19886
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:39:20 2011 -0700

    Remove render from PKG_CHECK_MODULES list
    
    No direct calls to libXrender functions or #includes of Xrender headers
    
    Fixes Solaris ld -z guidance warning:
    ld: guidance: removal of unused dependency recommended: libXrender.so.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fafbd548d2177d0e91b69fa5bf705bfff3923972
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:38:49 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a7882c4ab93100954e9e9a20f58e372bf6da612b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:34:17 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a808c25d8d08b6499ae3dd63dad416a75d172cc2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 9 20:21:51 2011 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e13d96502d6df614c35584c2e9919f4a508de34f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 9 20:19:49 2011 -0700

    Replace local checks for gcc with _X_NORETURN from xproto 7.0.17
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7965bc6efbf5db244593735bbb98f0ffa759cd1a
Author: Michael Thayer <michael.thayer@oracle.com>
Date:   Thu Mar 3 13:35:15 2011 -0800

    Show RandR events
    
    Signed-off-by: Michael Thayer <michael.thayer@oracle.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>

commit 2e7b697e9b5719056430cead8f4f155db141629a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5f862ac7239618dcccd793aa8a13490f3f67ff50
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 53c871b0439997c0a73ecf8f1af892efa955daa7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e74ac8c79c617faa5d28b6d40ffd58c7aa1b4919
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 01e2993e2563285ee22f18accecb5d65009a49a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:03:09 2010 -0700

    xev 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5de9e7a4554e678d909757a38f6347f13a90a9f
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit ab0e3e38f25d02c8f5cacd0b9b9e57bf61377cd6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:12:00 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a4f73b5cc6b357911683907b1038b0deeaeab9a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:10:43 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03a9a643d8a58539d6e6e08dfcd2e60abdc4d41b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 743eb7755bb50bccffb0840af44e67a4d635d1c1
Author: Kim Woelders <kim@woelders.dk>
Date:   Sat Jan 16 19:09:28 2010 +0100

    Add -root option to specify monitoring root window events.
    
    Signed-off-by: Kim Woelders <kim@woelders.dk>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f16f31d5e9a1c379d4a3077bf578ad86faac50f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 25621719b10fa2e9378d2ae46a964a4c25fff9f2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a828ad4a1881134c30886534a8879870ded15318
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 264bcc9d1df3fc069042494a95883015cfa4a0e4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 46ce6c0f79b4493163d9b8c6de20d1308c40a330
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:20 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 7616febda25a1c6dd1f5458de60286ba6099104c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:45:55 2009 -0700

    xev 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1e549e6420abc892ef6230d7cf798f74c8fc5582
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:38:22 2009 -0700

    Fill in COPYING with notice from xev.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5c92c37b733db62d2504d6d93f5b5da0658b06b2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:36:45 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 40bcf74b066c3b0347e5bc735bcf9a670af1b8c2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:23 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b0e1f6b3ffc36de124479b85d60b1364d8b00393
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 7 17:52:50 2009 -0400

    xev: use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Build break: app/xev/Makefile.am: command not found: git-log
    Adding the macro in configure.ac and use it in Makefile.am
    Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
    Tested: running autogen.sh, make and 'make dist'
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2fa6919b6f4cb007e218185f15c8fda512afcb37
Author: Branden Robinson <branden@debian.org>
Date:   Mon Mar 22 17:19:47 2004 -0500

    Flush standard output after processing each event
    
    When redirecting the output of xev (eg, xev > foo), the output file is
    truncated on exit due to libc buffering, since xev's exit(0) is
    unreachable code.  Reported by Bill Currie.
    
    Debian bug#238638 <http://bugs.debian.org/238638>

commit 04f027bf11b566224ead89aff51eb06d222b7086
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 7 17:15:28 2008 -0500

    xev 1.0.3

commit d82fb133b9cd4d3284db553a0afdd530b466073e
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:06 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 29a316c91b55a0ca193c9e902491f2ae78f33b76
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 05:13:52 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 49658a2112957b2b4874d2a9faccb6e501a0cda5
Author: Noah Levitt <nlevitt@columbia.edu>
Date:   Thu Dec 6 05:03:41 2007 -0500

    Handle WM_DELETE_WINDOW
    From bug 319¹:
    
    Make xev exit on WM_DELETE_WINDOW.
    
    1] https://bugs.freedesktop.org/show_bug.cgi?id=319
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 990e7b0b33e894eeb395b4023cd4d0b67773777b
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:20 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit ce1a508f11923e2bb29c8bd4fa87db57833ff5ec
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:45 2007 -0400

    Rename .cvsignore to .gitignore

commit ada7026e755141f534ba3ea00aee5bf90be997da
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 1 23:26:44 2006 +0000

    Run XFilterEvent() on all events. (Samuel Thibault). Bump to 1.0.2.

commit dd3eacf61876e6220aec7820ae16c534241a93ae
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:49 2005 +0000

    Update package version for X11R7 release.

commit d089b9b850eda5dd221f2c4567a2d0022bd2c92d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:43 2005 +0000

    Stub COPYING files

commit 8d5e61ab1da7bc4e5083a6ae86cb427df847e70a
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:06 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 810bc490f049b3a631eb84a57ea8a29537daef3f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:21 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d87e1dafa7c9b26417e5742badbcb9219142e33b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:19 2005 +0000

    Update package version number for X11R7 RC3 release.

commit a620a594b3603353c997ca466bf2a8ed3a52d11c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:41 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 281463c1c846f943bb2851734f601479ca5ed08e
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:00 2005 +0000

    Another pass at .cvsignores for apps.

commit 50d5b9aa3c716de9062b83969ba2531b8557f944
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:52 2005 +0000

    Add/improve .cvsignore files for apps.

commit e6de376cb8b61d53f39b5c8b9a1f234c5b067304
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:53 2005 +0000

    Update package version number for RC1 release.

commit c435fcfb82d56ec362e937c498129f9593c4b57c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:22 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 930548b75a4223298810d4fb4a8c56dede7cf351
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:44 2005 +0000

    Use sed to fill in variables in man page

commit 95d839f5a07fbef63001f969c1972b43219e4451
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit f7296eec10d316c0bd94999aa261d92f6c51b3e8
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:32 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit b6296a1f365eb956f9716b7e72c33d2a026c0728
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:52 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 275174c66316b789f96ec23974de50499ea3c5a2
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Wed Jul 6 19:58:25 2005 +0000

    Build system for xev

commit ce51f5174dc2adea8b3f30478a4990dca53575e7
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:46 2004 +0000

    Merging XORG-CURRENT into trunk

commit 9a0286eaf44816896f13fe2a82760d5be6615220
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:19 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 0cff5a293401d7e4b720e4212778f17727c21f04
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:05 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit b4731d643c59e950f2bc464ee111ac925844ed3e
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:24 2004 +0000

    readding XFree86's cvs IDs

commit 66f2ab4130a03c321aa8aff19259584896c624d9
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:06 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 47403c0b506c2dde081952ea9e771fb0270c69a0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:35:40 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit 6c04e15469f547b18ccb393a0c740b7ac00132fb
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:12 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit a6c94bc03a1bb14661b1b0a26fbc5dab3f5e03b6
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit f0692725ed2a9ce9d8909584bc673b7a4bcdad62
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    Initial revision
